List Approvals
curl --request GET \
--url http://{host}:{port}/{basePath}/approvals \
--header 'Authorization: <api-key>'import requests
url = "http://{host}:{port}/{basePath}/approvals"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('http://{host}:{port}/{basePath}/approvals', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"apiVersion": "v1",
"kind": "ApprovalList",
"metadata": {
"totalCount": 5,
"page": 1,
"pageSize": 20
},
"items": [
{
"name": "APR-20260319-001",
"namespace": "production",
"status": "pending",
"incident": "INC-20260319-001",
"action": "Patch memory limit de Deployment/payment-service para 1Gi",
"riskScore": 65,
"requiredRole": "operator",
"runbook": "runbook-oomkill-standard",
"requestedAt": "2026-03-19T15:21:05Z",
"expiresAt": "2026-03-19T16:21:05Z"
},
{
"name": "APR-20260319-002",
"namespace": "staging",
"status": "approved",
"incident": "INC-20260319-002",
"action": "Restart Deployment/api-gateway com novo config",
"riskScore": 25,
"requiredRole": "operator",
"runbook": "runbook-crashloop-restart",
"requestedAt": "2026-03-19T14:15:00Z",
"decidedAt": "2026-03-19T14:18:00Z",
"decidedBy": "ana.costa@empresa.com"
}
]
}
Approvals
List Approvals
Returns the list of pending and historical approval requests
GET
/
approvals
List Approvals
string
Filter by status:
pending, approved, rejected, expiredstring
Filter by associated incident (e.g.,
INC-20260319-001)string
Filter by namespace
integer
default:"1"
Page number
integer
default:"20"
Items per page (maximum 100)
{
"apiVersion": "v1",
"kind": "ApprovalList",
"metadata": {
"totalCount": 5,
"page": 1,
"pageSize": 20
},
"items": [
{
"name": "APR-20260319-001",
"namespace": "production",
"status": "pending",
"incident": "INC-20260319-001",
"action": "Patch memory limit de Deployment/payment-service para 1Gi",
"riskScore": 65,
"requiredRole": "operator",
"runbook": "runbook-oomkill-standard",
"requestedAt": "2026-03-19T15:21:05Z",
"expiresAt": "2026-03-19T16:21:05Z"
},
{
"name": "APR-20260319-002",
"namespace": "staging",
"status": "approved",
"incident": "INC-20260319-002",
"action": "Restart Deployment/api-gateway com novo config",
"riskScore": 25,
"requiredRole": "operator",
"runbook": "runbook-crashloop-restart",
"requestedAt": "2026-03-19T14:15:00Z",
"decidedAt": "2026-03-19T14:18:00Z",
"decidedBy": "ana.costa@empresa.com"
}
]
}
Authorizations
Bearer token issued by the operator. Format: Authorization: Bearer <token>.
Query Parameters
Filter by status.
Available options:
pending, approved, rejected, expired Filter by associated incident (e.g. INC-20260319-001).
Filter by namespace.
Page number.
Items per page (max 100).
Required range:
x <= 100⌘I